// priority: 0

console.info("");

onEvent("block.registry", (e) => {
  // Register new blocks here
  // event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')

  e.create("alfsteel_crux")
    .material("stone")
    .hardness(5.0)
    .displayName("Alfsteel Crux")
    .harvestTool("pickaxe", 5);
  e.create("bloc_gemme_sang")
    .material("stone")
    .hardness(5.0)
    .displayName("Blood-drenched Gemstone Block")
    .harvestTool("pickaxe", 5);
  e.create("maxi_crux")
    .material("stone")
    .hardness(5.0)
    .displayName("Maxi Crux")
    .harvestTool("pickaxe", 5);
  e.create("tanium_crux")
    .material("stone")
    .hardness(5.0)
    .displayName("Tanium Crux")
    .harvestTool("pickaxe", 5);
  e.create("chicken_bait_gravel")
    .material("sand")
    .hardness(1.0)
    .displayName("Chicken Eggshell Gravel")
    .harvestTool("shovel", 0);

  e.create("pink_slime_block")
    .material("stone")
    .hardness(5.0)
    .displayName("Pink Slime Block");
  e.create("crushed_sky_stone")
    .material("stone")
    .hardness(5.0)
    .displayName("Crushed skystone");
  e.create("charged_quartz_block")
    .material("stone")
    .hardness(5.0)
    .displayName("Charged Quartz Block");
  e.create("hop_block")
    .material("stone")
    .hardness(5.0)
    .displayName("HOP Block");
  e.create("phantom_block")
    .material("stone")
    .hardness(5.0)
    .displayName("Phantom Block");
  e.create("plastic_block")
    .material("stone")
    .hardness(5.0)
    .displayName("Plastic Block");
  e.create("prismarine_crystal_block")
    .material("stone")
    .hardness(5.0)
    .displayName("Prismarine Crystal Block");
  e.create("silicon_block")
    .material("stone")
    .hardness(5.0)
    .displayName("Silicon Block");
  e.create("wheat_block")
    .material("stone")
    .hardness(5.0)
    .displayName("Wheat Block");
  e.create("sulfurblock")
    .material("stone")
    .hardness(5.0)
    .displayName("Sulfur Dust Block");
  e.create("compressed_tanium")
    .material("stone")
    .hardness(5.0)
    .displayName("Compressed Tanium Block");
  e.create("rohantidite")
    .material("stone")
    .hardness(5.0)
    .displayName("Rohantidite Block");
  e.create("surcompressed_tanium")
    .material("stone")
    .hardness(5.0)
    .displayName("Surcompressed Tanium Block");
  e.create("supercompressed_tanium")
    .material("stone")
    .hardness(5.0)
    .displayName("Supercompressed Tanium Block");
  e.create("maxicompressed_tanium")
    .material("stone")
    .hardness(5.0)
    .displayName("Maxicompressed Tanium");
  e.create("restonia")
    .material("stone")
    .hardness(5.0)
    .displayName("§cRestonia Block");
  e.create("restonia_bloc_pousse")
    .material("stone")
    .hardness(5.0)
    .displayName("§cRestonia Germ Block");
});
